> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Skill Execution Output

> Get presigned URL for downloading skill execution output.



## OpenAPI

````yaml /cloud/openapi/v2.json get /skills/{skill_id}/executions/{execution_id}/output
openapi: 3.1.0
info:
  title: Browser Use Public API v2
  summary: Browser Use API for running web agents (v2)
  version: 2.0.0
servers:
  - url: https://api.browser-use.com/api/v2
    description: Production server
security: []
paths:
  /skills/{skill_id}/executions/{execution_id}/output:
    get:
      tags:
        - Skills
      summary: Get Skill Execution Output
      description: Get presigned URL for downloading skill execution output.
      operationId: >-
        get_skill_execution_output_skills__skill_id__executions__execution_id__output_get
      parameters:
        - name: skill_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Skill Id
        - name: execution_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Execution Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillExecutionOutputResponse'
        '404':
          description: Skill or execution not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillNotFoundError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SkillExecutionOutputResponse:
      properties:
        downloadUrl:
          type: string
          title: Downloadurl
          description: >-
            Presigned URL for downloading the execution output (valid for 5
            minutes)
      type: object
      required:
        - downloadUrl
      title: SkillExecutionOutputResponse
      description: Response containing presigned URL for downloading execution output.
    SkillNotFoundError:
      properties:
        detail:
          type: string
          title: Detail
          default: Skill not found
      type: object
      title: SkillNotFoundError
      description: Error response when a skill is not found
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````